org.eclipse.gef.cloudio.internal.ui.util

## Class CloudMatrix

- java.lang.Object
- - org.eclipse.gef.cloudio.internal.ui.util.CloudMatrix

    public class CloudMatrix
    extends Object

This class contains all global information about the drawable area and the layouted words in form of a `RectTree`.

### Constructor Summary

Constructors
Constructor and Description
`CloudMatrix(int maxSize, int minResolution)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `get(int x, int y)`
`int` `getMinResolution()`
`boolean` `isEmpty(int x, int y)`
`void` `reset()`
`void` `set(org.eclipse.gef.cloudio.internal.ui.util.RectTree.RectNode node, short id, short xOffset, short yOffset, int minResolution)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CloudMatrix

    public CloudMatrix(int maxSize,
                       int minResolution)

### Method Detail

#### getMinResolution

    public int getMinResolution()

#### get

    public short get(int x,
                     int y)

#### isEmpty

    public boolean isEmpty(int x,
                           int y)

#### reset

    public void reset()

#### set

    public void set(org.eclipse.gef.cloudio.internal.ui.util.RectTree.RectNode node,
                    short id,
                    short xOffset,
                    short yOffset,
                    int minResolution)